Bug 7212 - Upgrade fails to find Linux-partition
Upgrade fails to find Linux-partition
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-21 16:08 EST by Allan Beaufour Larsen
Modified: 2015-01-07 18:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-22 09:25:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allan Beaufour Larsen 1999-11-21 16:08:31 EST
If downloaded the new boot.img and the updates.img to get the installation
working with my NTFS-partition, and it seems like the todo.py has an error
in it, it halted with an error. On line 1411 it says ... % (command,))
where it should be % (command)) - I fixed that.

But it still won't find my Linux-partition on /dev/hdc5. Here's my layout:

Disk /dev/hda: 64 heads, 63 sectors, 1023 cylinders
Units = cylinders of 4032 * 512 bytes

   Device Boot   Start      End   Blocks   Id  System
/dev/hda1   *        1      114   229792+   6  DOS 16-bit >=32M
/dev/hda4          115     1022  1830528    5  Extended
/dev/hda5          115      115     1984+   1  DOS 12-bit FAT
/dev/hda6   *      116      573   923296+   6  DOS 16-bit >=32M
/dev/hda7   *      999     1022    48352+  82  Linux swap

Disk /dev/hdb: 128 heads, 63 sectors, 779 cylinders
Units = cylinders of 8064 * 512 bytes

   Device Boot   Start      End   Blocks   Id  System
/dev/hdb1            2      778  3132864    5  Extended
/dev/hdb5   ?        2      262  1052320+   6  DOS 16-bit >=32M
/dev/hdb6   ?      263      522  1048288+   7  OS/2 HPFS
/dev/hdb7          523      778  1032160+   6  DOS 16-bit >=32M

Disk /dev/hdc: 255 heads, 63 sectors, 1229 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot   Start      End   Blocks   Id  System
/dev/hdc1            1     1229  9871911    f  Win95 Extended (LBA)
/dev/hdc5   *        1      261  2096419+  83  Linux native
/dev/hdc6          262      522  2096451   83  Linux native
/dev/hdc7          969     1229  2096451   83  Linux native

... Allan Beaufour, allan@beaufour.dk
Comment 1 Jay Turner 1999-11-22 09:25:59 EST
The problem that you are seeing is related to the Win95 extended partition that
you have on /dev/hdc1.  The updates disk is still not able to deal with these
extended type "f" partitions and therefore the installer is not able to see your
linux partitions.

We will be releasing another update which fixes this problem as well, but in the
mean time, the easiest workaround is to change the partition type of /dev/hdc1
from type "f" to type "5" for the duration of the linux installation/upgrade.
After you get your linux installation upgraded, you can change the partition
type back to type "f" and things will work just fine.

Please refer to bug #5511 for more information about this problem and
resolution.

*** This bug has been marked as a duplicate of 5511 ***

Note You need to log in before you can comment on or make changes to this bug.